Altibase.jdbc.driver

## Class BlobOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - Altibase.jdbc.driver.BlobOutputStream

All Implemented Interfaces:
  ConnectionSharable, java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class BlobOutputStream
    extends java.io.OutputStream
    implements ConnectionSharable

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `freeLocator()`
`void` `initMode()`
`boolean` `isCopyMode()`
`boolean` `isSameConnectionWith(CmChannel aChannel)`
`void` `readyToCopy()`
`void` `releaseCopyMode()`
`void` `setCopyMode()`
`void` `setMode(byte aIsDirectAbled)`
`void` `write(byte[] aSource)`
`void` `write(byte[] aSource, int aSourceOffset, int aLength)`
`void` `write(java.io.InputStream aSource, long aLength)`
`void` `write(int aByte)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### freeLocator

    public void freeLocator()
                     throws java.sql.SQLException,
                            java.io.IOException

Throws:
  `java.sql.SQLException`
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] aSource,
                      int aSourceOffset,
                      int aLength)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] aSource)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(int aByte)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(java.io.InputStream aSource,
                      long aLength)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### setCopyMode

    public void setCopyMode()

Specified by:
  `setCopyMode` in interface `ConnectionSharable`

#### releaseCopyMode

    public void releaseCopyMode()

Specified by:
  `releaseCopyMode` in interface `ConnectionSharable`

#### initMode

    public void initMode()

Specified by:
  `initMode` in interface `ConnectionSharable`

#### setMode

    public void setMode(byte aIsDirectAbled)

#### isCopyMode

    public boolean isCopyMode()

Specified by:
  `isCopyMode` in interface `ConnectionSharable`

#### isSameConnectionWith

    public boolean isSameConnectionWith(CmChannel aChannel)

Specified by:
  `isSameConnectionWith` in interface `ConnectionSharable`

#### readyToCopy

    public void readyToCopy()
                     throws java.io.IOException

Specified by:
  `readyToCopy` in interface `ConnectionSharable`
Throws:
  `java.io.IOException`